package com.huimv.beeboxs.service;


import com.huimv.beeboxs.common.utils.Result;

import java.util.List;

public interface IAuthorizeService {

    Result saveAccountGroup(String accountId, String groupIds);

    Result saveGroupMenu(String groupId, String menuIds);


    Result getMenuByGroup(String groupId);

    Result getGroupByAccount(String accountId);

    Result getAccountByGroup(String groupId);


    List getMyMenuAll(String accountName);

    List getMyButton(Integer userId);

    List getMyMenuMultilevel(String userId);
}
